summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2020-11-24 11:28:37 +0100
committerLars Wendler <polynomial-c@gentoo.org>2020-11-24 11:28:46 +0100
commit7a596ea7a18b0636e33fe5bf2c0c5f8315642b37 (patch)
tree085941c2f790b0a96875611d73b98eeaf2b28e14 /net-libs/nghttp2
parentprofiles/arch/riscv: mask sys-libs/libcxxabi[libunwind] (diff)
downloadgentoo-7a596ea7a18b0636e33fe5bf2c0c5f8315642b37.tar.gz
gentoo-7a596ea7a18b0636e33fe5bf2c0c5f8315642b37.tar.bz2
gentoo-7a596ea7a18b0636e33fe5bf2c0c5f8315642b37.zip
net-libs/nghttp2: Bump to version 1.42.0
Package-Manager: Portage-3.0.10, Repoman-3.0.2 Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>
Diffstat (limited to 'net-libs/nghttp2')
-rw-r--r--net-libs/nghttp2/Manifest1
-rw-r--r--net-libs/nghttp2/nghttp2-1.42.0.ebuild77
2 files changed, 78 insertions, 0 deletions
diff --git a/net-libs/nghttp2/Manifest b/net-libs/nghttp2/Manifest
index bda70e82e83..4d09495cf3e 100644
--- a/net-libs/nghttp2/Manifest
+++ b/net-libs/nghttp2/Manifest
@@ -1 +1,2 @@
DIST nghttp2-1.41.0.tar.xz 1640712 BLAKE2B 8dbd5f80bb9617d792e2eece09f6cae82907ad3a14a90084578b213191015c32ac38de87d9a39246651087b5d0e9c6c624ff806a0690973b5faa8624ee033d8f SHA512 c92e8022ccc876fa311f21bc5bf5af75feff8232efb56a4b2ab198031e974d15b67c16c046188cc76552f75a1b2e7115925d6ce1e42d6f94ae482fe69727466d
+DIST nghttp2-1.42.0.tar.xz 3973284 BLAKE2B 39431619bd3c9a66eb217065bb29ceba8f3fda376343687b4774ed5e73c634f51142b407f9515ae5ad4363af5cf57c0199f9bfddf5bc08dc587419ec03cf5b45 SHA512 1d93e6262c5538e26fbf36567230b4a239dbdfee26198b1e1d5862bf4459ae435679674c047407f5c604ddff91d7717d8515532e00bcdb2aa75f27ff97dce60c
diff --git a/net-libs/nghttp2/nghttp2-1.42.0.ebuild b/net-libs/nghttp2/nghttp2-1.42.0.ebuild
new file mode 100644
index 00000000000..b43a0d32506
--- /dev/null
+++ b/net-libs/nghttp2/nghttp2-1.42.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# TODO: Add python support.
+
+EAPI=7
+
+inherit multilib-minimal
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/nghttp2/nghttp2.git"
+ inherit autotools git-r3
+else
+ SRC_URI="https://github.com/nghttp2/nghttp2/releases/download/v${PV}/${P}.tar.xz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+fi
+
+DESCRIPTION="HTTP/2 C Library"
+HOMEPAGE="https://nghttp2.org/"
+
+LICENSE="MIT"
+SLOT="0/1.14" # <C++>.<C> SONAMEs
+IUSE="cxx debug hpack-tools jemalloc libressl static-libs test +threads utils xml"
+
+RESTRICT="!test? ( test )"
+
+SSL_DEPEND="
+ !libressl? ( >=dev-libs/openssl-1.0.2:0=[-bindist,${MULTILIB_USEDEP}] )
+ libressl? ( dev-libs/libressl:=[${MULTILIB_USEDEP}] )
+"
+RDEPEND="
+ cxx? (
+ ${SSL_DEPEND}
+ dev-libs/boost:=[${MULTILIB_USEDEP},threads]
+ )
+ hpack-tools? ( >=dev-libs/jansson-2.5 )
+ jemalloc? ( dev-libs/jemalloc[${MULTILIB_USEDEP}] )
+ utils? (
+ ${SSL_DEPEND}
+ >=dev-libs/libev-4.15[${MULTILIB_USEDEP}]
+ >=sys-libs/zlib-1.2.3[${MULTILIB_USEDEP}]
+ net-dns/c-ares:=[${MULTILIB_USEDEP}]
+ )
+ xml? ( >=dev-libs/libxml2-2.7.7:2[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}
+ test? ( >=dev-util/cunit-2.1[${MULTILIB_USEDEP}] )"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+ default
+ [[ ${PV} == 9999 ]] && eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ --disable-examples
+ --disable-failmalloc
+ --disable-python-bindings
+ --disable-werror
+ --without-cython
+ $(use_enable cxx asio-lib)
+ $(use_enable debug)
+ $(multilib_native_use_enable hpack-tools)
+ $(use_enable static-libs static)
+ $(use_enable threads)
+ $(multilib_native_use_enable utils app)
+ $(multilib_native_use_with jemalloc)
+ $(multilib_native_use_with xml libxml2)
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ if ! use static-libs ; then
+ find "${ED}"/usr -name '*.la' -delete || die
+ fi
+}